package com.example.demo.controller;

import org.springframework.web.bind.annotation.RestController;

import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.ResponseBody;

import org.springframework.web.bind.annotation.CrossOrigin;

/**
 * The default controller (i.e. No specific purpose)
 * This controller handle root path and other testing/trying purpose path
 * 
 * NOTE: By adding @CrossOrigin, Swagger preview can work perfectly.
 * 
 */
@RestController
@CrossOrigin
@RequestMapping(value = "/")
public class DefaultController {

    // @Value("${mybatis.config-location}")
    // private String myBatisConfigLocation;

    /**
     * Root path /
     * 
     * @return Simple text
     */
    @RequestMapping(value = "/", method = RequestMethod.GET)
    @ResponseBody
    public String getRoot() {
        // String myBatisConfigPath = myBatisConfigLocation.split(":")[1];
        return "Hello, This is a self-learning project for spring boot for rest api using sqlite";
    }
}
